# Material Design Bootstrap

# Inputs

##### Input fields

Basic example
Small input
Example label
Prefilling text inputs
Disabled input
Type your email
Type your password

##### Error or Success Messages

Type your email
Type your password

##### Textarea

Basic textarea
Icon Prefix

##### Checkboxes and Radio

Classic checkbox
Filled-in checkbox
Option 1
Option 2
Option 3
Off On
Off On

##### File input

Choose file
Choose files

##### Range

##### Character counters

Input text
Type your text

##### Select

Label example
Search material selects

### Full documentation

Read the full documentation for these components.

Learn more